/**
 * Created by rburson on 12/23/15.
 */
import * as React from 'react';
import { CvState, CvProps } from './catreact-core';
import { Workbench, AppWinDef } from 'catavolt-sdk';
export interface CvWorkbenchState extends CvState {
}
export interface CvWorkbenchProps extends CvProps {
    /**
     *  The sdk {Workbench} to display
     */
    workbench?: Workbench;
    /**
     * The sdk {AppWinDef} from which to retrieve the workbench by the given workbenchId
     * Should not be used if the 'workbench' property is provided
     */
    appWinDef?: AppWinDef;
    /**
     * The workbench id to display
     * Should not be used if the 'workbench' property is provided
     */
    workbenchId?: string;
}
/**
 * Render an sdk {Workbench}
 */
export declare var CvWorkbench: React.ClassicComponentClass<CvWorkbenchProps>;
