"use strict";
/**
 * Created by rburson on 1/15/16.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var catreact_core_1 = require("./catreact-core");
exports.CvResource = React.createClass({
    mixins: [catreact_core_1.CvBaseMixin],
    getDefaultProps: function () {
        return {
            resourceName: null,
            resourceUrl: null,
            resourceRenderer: null
        };
    },
    render: function () {
        if (this.props.resourceName || this.props.resourceUrl) {
            var url = this.props.resourceUrl;
            if (this.props.resourceName) {
                var baseUrl = null;
                var tenantSettingsTry = this.catavolt().tenantSettingsTry;
                if (tenantSettingsTry.isSuccess) {
                    baseUrl = tenantSettingsTry.success['GMLAssetsURL'];
                }
                url = baseUrl + this.props.resourceName;
            }
            return this.props.resourceRenderer ? this.props.resourceRenderer(url) : null;
        }
        else {
            return null;
        }
    },
});
