import * as React from 'react';
import { CvState, CvProps } from './catreact-core';
export interface CatavoltPaneState extends CvState {
}
export interface CatavoltPaneProps extends CvProps {
    /**
     * This enables the use of the {@link CvEventRegistry} cache to 'retain' objects
     * retrieved during navigation requests.  This makes it possible to use a browser 'history',
     * by allowing the retrieval of these objects by 'resource id' from the cache.
     */
    enableResourceCaching?: boolean;
}
/**
 *  Top-level container for a Catavolt Application
 */
export declare var CatavoltPane: React.ClassicComponentClass<CatavoltPaneProps>;
