/**
 * Created by rburson on 12/23/15.
 */
import * as React from 'react';
import { CvState, CvProps, CvEvent, CvNavigationResult, CvContext, CvActionFiredResult, CvResultCallback } from './catreact-core';
import { Workbench, WorkbenchLaunchAction } from 'catavolt-sdk';
export interface CvLauncherState extends CvState {
}
export interface CvLauncherProps extends CvProps {
    navTarget?: string;
    actionId?: string;
    launchAction?: WorkbenchLaunchAction;
    workbench?: Workbench;
    renderer: (cvContext: CvContext, callback: CvLaunchActionCallback) => {};
    launchListeners?: Array<(event: CvEvent<CvNavigationResult>) => void>;
    actionListeners?: Array<(event: CvEvent<CvActionFiredResult>) => void>;
    wrapperElemName?: string;
    wrapperElemProps?: any;
}
export interface CvLaunchActionCallback {
    fireLaunchAction(resultCallback?: CvResultCallback<CvNavigationResult>): void;
}
export declare var CvLauncher: React.ClassicComponentClass<CvLauncherProps>;
