/**
 * Created by rburson on 4/14/16.
 */
import * as React from 'react';
import { CvState, CvProps, CvContext, CvEvent, CvLogoutResult } from '../core/catreact-core';
export interface CvLogoutState extends CvState {
}
export interface CvLogoutProps extends CvProps {
    logoutListeners?: Array<(event: CvEvent<CvLogoutResult>) => void>;
    renderer?: (cvContext: CvContext, callback: CvLogoutCallback) => {};
}
export interface CvLogoutCallback {
    isLoggedIn(): boolean;
    logout(): void;
}
export declare var CvLogout: React.ClassicComponentClass<CvLogoutProps>;
